Commit 5575d8e7 authored by Nate Summers's avatar Nate Summers

initial import into CVS. There was much rejoicing.

 	* plug-ins/common/poppler.c: initial import into CVS.  There was much
	rejoicing.

 	* configure.in: check for gthread-2.0 in the poppler check, because
	it is not necessarily checked for elsewhere.  Once other threaded
	plugins become available, this probably should be moved.

	Also removed the HAVE_POPPLER am conditional; it wasn't needed.

	* plug-ins/common/Makefile.am: added poppler to the build process
parent e2832729
......@@ -1172,18 +1172,16 @@ AC_SUBST(LIBSVG)
# Check for libpoppler
######################
PKG_CHECK_MODULES(POPPLER, poppler-glib >= poppler_required_version,
PKG_CHECK_MODULES(POPPLER, poppler-glib >= poppler_required_version gthread-2.0,
POPPLER='poppler$(EXEEXT)'
LIBPOPPLER=$POPPLER_LIBS
AC_DEFINE(HAVE_POPPLER, 1, "Define to 1 if libpoppler is available")
have_poppler=yes,
AC_MSG_WARN([*** PDF import will be by the postscript plugin (libpoppler not found) ***]))
AC_MSG_WARN([*** PDF import will be by the postscript plugin (poppler or gthread not found) ***]))
AC_SUBST(POPPLER)
AC_SUBST(LIBPOPPLER)
AM_CONDITIONAL(HAVE_POPPLER, test x$have_poppler = xyes)
#####################
# Check for gnome-vfs
......
......@@ -21,11 +21,12 @@ EXTRA_DIST = \
plugin-defs.pl
INCLUDES = \
-I$(top_srcdir) \
$(GTK_CFLAGS) \
$(EXIF_CFLAGS) \
$(SVG_CFLAGS) \
$(WMF_CFLAGS) \
-I$(top_srcdir) \
$(GTK_CFLAGS) \
$(EXIF_CFLAGS) \
$(SVG_CFLAGS) \
$(WMF_CFLAGS) \
$(POPPLER_CFLAGS) \
-I$(includedir)
libexec_PROGRAMS = \
......@@ -118,6 +119,7 @@ libexec_PROGRAMS = \
$(PNG) \
pnm \
polar \
$(POPPLER) \
postscript \
psd \
psd_save \
......@@ -173,6 +175,7 @@ EXTRA_PROGRAMS = \
mail \
mng \
png \
poppler \
psp \
screenshot \
svg \
......@@ -1492,6 +1495,22 @@ polar_LDADD = \
$(RT_LIBS) \
$(INTLLIBS)
poppler_SOURCES = \
poppler.c
poppler_LDADD = \
$(libgimpui) \
$(libgimpconfig) \
$(libgimpwidgets) \
$(libgimp) \
$(libgimpcolor) \
$(libgimpmath) \
$(libgimpbase) \
$(LIBPOPPLER) \
$(GTK_LIBS) \
$(RT_LIBS) \
$(INTLLIBS)
postscript_SOURCES = \
postscript.c
......@@ -1503,6 +1522,7 @@ postscript_LDADD = \
$(libgimpcolor) \
$(libgimpmath) \
$(libgimpbase) \
$(POPPLER_LIBS) \
$(GTK_LIBS) \
$(RT_LIBS) \
$(INTLLIBS)
......
This diff is collapsed.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment